Skip to main content
GET
List invoices
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

client_id
string

Only this client's invoices. Accepts the client's identifier or ID. Refer to Getting the Client ID section for detailed instructions.

status
enum<string>

Only invoices with this status.

Available options:
generating,
generated,
paid,
written_off,
failed,
pending_payment
overdue
enum<string>

Set to true to list only unpaid invoices whose due date is before today.

Available options:
true,
false
start_date
string<date>

Only invoices issued on or after this date in YYYY-MM-DD format

end_date
string<date>

Only invoices issued on or before this date in YYYY-MM-DD format

page
integer

Page of results to retrieve, starting from 1. Defaults to 1 when omitted.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

Required range: 1 <= x <= 100

Response

OK - Request succeeded

total_count
integer

Total number of records across all pages.

Example:

1

page
integer

Current page number.

Example:

1

page_size
integer

Number of records per page.

Example:

30

total_pages
integer

Total number of pages.

Example:

1

next_page
integer | null

Next page number, or null on the last page.

Example:

null

prev_page
integer | null

Previous page number, or null on the first page.

Example:

null

invoices
object[]